<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'pushNotification'}}]">Push Notification ></a>
            </li>
            <li class="">
                Add Push Notification
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Add Push Notification
                    </div>
                    <div class="card-body">
                        <form action="" [formGroup]="pNotifForm" (ngSubmit)="onSubmit()">
                            <div class="form-group">
                                <label for="">Send To</label>
                                <select class="form-control" formControlName="status" [ngClass]="{ 'is-invalid': submitted && f.status.errors }">
                                    <option value=""></option>
                                    <option value="riders">Riders</option>
                                    <option value="travellers">Travellers</option>
                                    <option value="all">All</option>
                                </select>
                                <div *ngIf="submitted && f.status.errors" class="invalid-feedback" >
                                    <div *ngIf="f.status.errors.required">Field is required</div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="">Title</label>
                                <input type="text" class="form-control" formControlName="title" [ngClass]="{ 'is-invalid': submitted && f.title.errors }">
                                <div *ngIf="submitted && f.title.errors" class="invalid-feedback" >
                                    <div *ngIf="f.title.errors.required">Title is required</div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="">Push Message</label>
                                <textarea name="" id="" cols="5" rows="2" class="form-control" formControlName="body" [ngClass]="{ 'is-invalid': submitted && f.body.errors }"></textarea>
                                <div *ngIf="submitted && f.body.errors" class="invalid-feedback" >
                                    <div *ngIf="f.body.errors.required">Message is required</div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-success" [disabled]="pNotifForm.invalid">Send</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

